Subject: RE: Using more than 256 MB of memory on SB1250 in 32-bit mode

From: "Finney, Steve" <[email-masked]>
Date: Fri, 29 Aug 2003 16:40:58 -1000

Not sure what you mean by "system memory". You can turn on CONFIG_HIGHMEM and get access to 512 MB physical memory  or more on the BCM with a 32-bit kernel, but you can't access memory above the low 256 MB  directly through KSEG0/1, so there are some things that the kernel can't use it for (though it can be allocated to user processes). Also, since CONFIG_DISCONTIGMEM isn't supported, you end up wasting a bunch of RAM on useless page table space (36MB for 512 MB physical), and there's also some caching weirdness if you try and mmap() /dev/mem to get user access to the >0x10000000 I/O registers. Also, your startup will report "1792 MB HIGHMEM available".

sf

> -----Original Message-----
> From: Steve Madsen [mailto:[email-masked]]
> Sent: Friday, August 29, 2003 12:00 PM
> To: [email-masked]
> Subject: Using more than 256 MB of memory on SB1250 in 32-bit mode
> 
> 
> Is it possible to use more than 256 MB of system memory with 
> the Broadcom 
> SB1250 in 32-bit mode?  The memory map I'm looking at shows 
> me that the 
> second 256 MB of memory is at physical address 0x80000000.  I 
> suspect that 
> due to the 2G/2G split in the kernel, I can't use memory this 
> high without 
> moving to the 64-bit kernel.
> 
> Would someone confirm this for me?
> 
> -- 
> Steve Madsen <[email-masked]>
> Tadpole Computer, Inc.  http://www.tadpole.com
> 
>